The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Update an Outbound Exception Rule

Prev Next

This URL updates an outbound exception rule.

Resource URL

PUT /domain/<domainId>/outboundsslexceptions/<ruleId>

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
domainId The id of the domain Number Yes
ruleId The id of the rule Number Yes

Payload Request Parameters: None

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type Mandatory
state State of the rule (Enabled/Disabled) String Yes
name Name of the rule String Yes
resource List of resources on which the rule has to be assigned Array No
attacker List of the objects in the source network rule Object Yes
target List of the objects in the destination network rule Object Yes
targetHostName List of the objects in the target host names rule Array Yes
targetUrlCategories List of URL categories Array Yes
comment Comment String No

Details of object in resource:

Field Name Description Data Type Mandatory
resourceName Name of the resource String Yes

Details of the attacker:

Field Name Description Data Type Mandatory
AttackerEndPoint Attacker rule objects on which the ignore rules will be applied. Array of string Yes

Details of the target:

Field Name Description Data Type Mandatory
TargetEndPoint Target rule objects on which the ignore rules will be applied. Array of string Yes

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
status Set to 1 if the operation was successful Number

Request

PUT https://%3CNSM_IP%3E/sdkapi/domain/0/outboundsslexceptions/101

Payload

{
  "state": "ENABLED",
  "name": "test2",
  "attack": null,
  "resource": [],
  "attacker": {
    "AttackerEndPoint": [
      "FireWall_IPv4_Dst_15_1_7_251"
    ]
  },
  "target": {
    "TargetEndPoint": [
      "FireWall_IPv4_Dst_15_1_7_251"
    ]
  },
  "targetHostName": [],
  "targetUrlCategories": [
    "Entertainment"
  ],
  "comment": "test"
}

Response

{
“status”:1
} 
 

Error Information

Following error codes are returned by this URL:

S.No HTTP Error Code SDK API errorId SDK API errorMessage
1 500 1001 Internal server error
2 400 1720 Invalid rule object/rule object is not visible in this domain
3 400 2513 Name must only contain letters, numerical, spaces, commas, periods, hyphen, or an underscore
4 400 1437 Rule name should not be longer than 64 characters
5 400 1433 This rule is invalid because it matches all alerts. Please specify at least one alert criterion.
6 400 1422 Resource is not visible in this domain
7 400 1001 Ignore Rule with the same name already exists
8 400 1435 The same combination of IPv4 and IPv6 should be used in the attacker and the target endpoints.
9 400 1408 The following URLs are invalid: <url_list>